Convenience class for performing file write operations.

Unlike the Java counterpart, this class does not (yet) handle character set transformations. This will be an important function of this class with move to supporting PHP6.

package | phing.system.io

### Methods

## Construct a new FileWriter.

    __construct(mixed $file, boolean $append)

### Parameters

#### $file

`mixed`

PhingFile or string pathname.

#### $append

`boolean`

Append to existing file?

## Close the stream.

    close()

Inherited

inherited_from | \OutputStreamWriter::close()

### Exceptions

`\IOException` | - if there is an error closing stream.

## Flush output to the stream.

    flush()

Inherited

inherited_from | \OutputStreamWriter::flush()

## Gets a string representation of attached stream resource.

    getResource() : string

Inherited

that is being written to.

inherited_from | \OutputStreamWriter::getResource()

### Returns

`string`String representation of output stream

## Write char data to stream.

    write(\unknown_type $buf, \unknown_type $off, \unknown_type $len) : \unknown

Inherited

inherited_from | \OutputStreamWriter::write()

### Parameters

#### $buf

`\unknown_type`

#### $off

`\unknown_type`

#### $len

`\unknown_type`

### Returns

`\unknown`

### Properties

##

    $outStream : \OutputStream

Inherited

inherited_from | \OutputStreamWriter::$$outStream